ResponseData (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.ocsp

## Class ResponseData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.ResponseData

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ResponseData
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseData(ASN1Integer version, ResponderID responderID, ASN1GeneralizedTime producedAt, ASN1Sequence responses, Extensions responseExtensions)`
    `ResponseData(ResponderID responderID, ASN1GeneralizedTime producedAt, ASN1Sequence responses, Extensions responseExtensions)`
    `ResponseData(ResponderID responderID, ASN1GeneralizedTime producedAt, ASN1Sequence responses, X509Extensions responseExtensions)` Deprecated. use method taking Extensions

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseData` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static ResponseData` | `getInstance(java.lang.Object obj)`
    `ASN1GeneralizedTime` | `getProducedAt()`
    `ResponderID` | `getResponderID()`
    `Extensions` | `getResponseExtensions()`
    `ASN1Sequence` | `getResponses()`
    `ASN1Integer` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseData

          public ResponseData(ASN1Integer version,
                      ResponderID responderID,
                      ASN1GeneralizedTime producedAt,
                      ASN1Sequence responses,
                      Extensions responseExtensions)

    - #### ResponseData

          public ResponseData(ResponderID responderID,
                      ASN1GeneralizedTime producedAt,
                      ASN1Sequence responses,
                      X509Extensions responseExtensions)

      Deprecated. use method taking Extensions
      Parameters:
        `responderID` -
        `producedAt` -
        `responses` -
        `responseExtensions` -

    - #### ResponseData

          public ResponseData(ResponderID responderID,
                      ASN1GeneralizedTime producedAt,
                      ASN1Sequence responses,
                      Extensions responseExtensions)

  - ### Method Detail

    - #### getInstance

          public static ResponseData getInstance(ASN1TaggedObject obj,
                                 boolean explicit)

    - #### getInstance

          public static ResponseData getInstance(java.lang.Object obj)

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getResponderID

          public ResponderID getResponderID()

    - #### getProducedAt

          public ASN1GeneralizedTime getProducedAt()

    - #### getResponses

          public ASN1Sequence getResponses()

    - #### getResponseExtensions

          public Extensions getResponseExtensions()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           ResponseData ::= SEQUENCE {
               version              [0] EXPLICIT Version DEFAULT v1,
               responderID              ResponderID,
               producedAt               GeneralizedTime,
               responses                SEQUENCE OF SingleResponse,
               responseExtensions   [1] EXPLICIT Extensions OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.